Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.authn
Class Saml2LoginContext

    java.lang.Object
      edu.internet2.middleware.shibboleth.idp.authn.LoginContext
          edu.internet2.middleware.shibboleth.idp.authn.Saml2LoginContext

All Implemented Interfaces:
  Serializable

    public class Saml2LoginContext

extends LoginContext
implements Serializable

A SAML 2.0 `LoginContext`. This class can interpret `RequestedAuthnContext` and act accordingly.

See Also:
  Serialized Form

Field Summary

Fields inherited from class edu.internet2.middleware.shibboleth.idp.authn.LoginContext
`LOGIN_CONTEXT_KEY`

Constructor Summary
`Saml2LoginContext(String relyingParty, String state, org.opensaml.saml2.core.AuthnRequest request)` Creates a new instance of Saml2LoginContext.

Method Summary
`protected List<String>` | `extractRequestedAuthenticationMethods(org.opensaml.saml2.core.AuthnRequest request)` Extracts the authentication methods requested within the request.
`String` | `getAuthenticationRequest()` Gets the serialized authentication request that started the login process.
`String` | `getRelayState()` Gets the relay state from the originating authentication request.
`boolean` | `isUnsolicited()` Returns the unsolicited SSO indicator.
`protected String` | `serializeRequest(org.opensaml.saml2.core.AuthnRequest request)` Serializes an authentication request into a string.
`void` | `setUnsolicited(boolean unsolicited)` Sets the unsolicited SSO indicator.

Methods inherited from class edu.internet2.middleware.shibboleth.idp.authn.LoginContext
`getAttemptedAuthnMethod, getAuthenticationAttempted, getAuthenticationDuration, getAuthenticationEngineURL, getAuthenticationFailure, getAuthenticationInstant, getAuthenticationMethod, getAuthenticationMethodInformation, getDefaultAuthenticationMethod, getPrincipalName, getProfileHandlerURL, getProperty, getRelyingPartyId, getRequestedAuthenticationMethods, getSessionID, isForceAuthRequired, isPassiveAuthRequired, isPrincipalAuthenticated, setAttemptedAuthnMethod, setAuthenticationAttempted, setAuthenticationDuration, setAuthenticationEngineURL, setAuthenticationFailure, setAuthenticationInstant, setAuthenticationMethod, setAuthenticationMethodInformation, setDefaultAuthenticationMethod, setForceAuthRequired, setPassiveAuthRequired, setPrincipalAuthenticated, setPrincipalName, setProfileHandlerURL, setProperty, setRelyingParty, setSessionID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Saml2LoginContext

    public Saml2LoginContext(String relyingParty,
                             String state,
                             org.opensaml.saml2.core.AuthnRequest request)
                      throws org.opensaml.xml.io.MarshallingException

  Creates a new instance of Saml2LoginContext.

  Parameters:
    `relyingParty` - entity ID of the relying party
    `state` - relay state from incoming authentication request
    `request` - SAML 2.0 Authentication Request
  Throws:
    `org.opensaml.xml.io.MarshallingException` - thrown if the given request can not be marshalled and serialized into a string

Method Detail

### getAuthenticationRequest

    public String getAuthenticationRequest()
                                    throws org.opensaml.xml.io.UnmarshallingException

  Gets the serialized authentication request that started the login process.

  Returns:
    authentication request that started the login process
  Throws:
    `org.opensaml.xml.io.UnmarshallingException` - thrown if the serialized form on the authentication request can be unmarshalled

### getRelayState

    public String getRelayState()

  Gets the relay state from the originating authentication request.

  Returns:
    relay state from the originating authentication request

### isUnsolicited

    public boolean isUnsolicited()

  Returns the unsolicited SSO indicator.

  Returns:
    the unsolicited SSO indicator

### setUnsolicited

    public void setUnsolicited(boolean unsolicited)

  Sets the unsolicited SSO indicator.

  Parameters:
    `unsolicited` - unsolicited SSO indicator to set

### serializeRequest

    protected String serializeRequest(org.opensaml.saml2.core.AuthnRequest request)
                               throws org.opensaml.xml.io.MarshallingException

  Serializes an authentication request into a string.

  Parameters:
    `request` - the request to serialize
  Returns:
    the serialized form of the string
  Throws:
    `org.opensaml.xml.io.MarshallingException` - thrown if the request can not be marshalled and serialized

### extractRequestedAuthenticationMethods

    protected List<String> extractRequestedAuthenticationMethods(org.opensaml.saml2.core.AuthnRequest request)

  Extracts the authentication methods requested within the request.

  Parameters:
    `request` - the authentication request
  Returns:
    requested authentication methods, or an empty list if no preference

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2011 Internet2. All Rights Reserved.